server:
  port: 8888

spring:
  application:
    name: sac-service-config
  cloud:
    config:
      enabled: true
      label: master
      server:
        git:
          uri: https://gitlab.com/microservice11/sac/centralize-configuration.git
          username: ${GIT_USERNAME}
          password: ${GIT_PASSWORD}
      fail-fast: true
      retry:
        initial-interval: 10000
        max-attempts: 20
        max-interval: 15000

    kubernetes:
      discovery:
        all-namespaces: true